<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
    <head>
        <title>Ubah Password</title>
    </head>
    <body>
        <section layout:fragment="content-header">
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Ubah Password</h2>
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a th:href="@{/home}">Home</a>
                        </li>
                        <li class="breadcrumb-item active">
                            <strong>Ubah Password</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2">

                </div>
            </div>
        </section>
        <section layout:fragment="content">
            <meta name="_csrf_header" th:content="${_csrf.headerName}"/>
            <div class="wrapper wrapper-content">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox ">
                            <div class="ibox-title">
                                <h5>Ubah Password</h5>
                                <div class="ibox-tools">
                                    <a class="collapse-link">
                                        <i class="fa fa-chevron-up"></i>
                                    </a>
                                    <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                        <i class="fa fa-wrench"></i>
                                    </a>
                                    <ul class="dropdown-menu dropdown-user">
                                        <li><a href="#" class="dropdown-item">Config option 1</a>
                                        </li>
                                        <li><a href="#" class="dropdown-item">Config option 2</a>
                                        </li>
                                    </ul>
                                    <a class="close-link">
                                        <i class="fa fa-times"></i>
                                    </a>
                                </div>
                            </div>

                            <script th:inline="javascript" type="text/javascript">

                                function saveGantiPassword(e) {
                                    e.preventDefault();
                                    if ($('#passwordLama').val().length > 0 && $('#passwordBaru').val().length > 0 && $('#passwordBaruCek').val().length > 0) {
                                        var token = $("input[name='_csrf']").attr("value");
                                        var header = $("meta[name='_csrf_header']").attr("content");
                                        var dataLogin = $("#form-ganti-password").serialize();
                                        //preventDefault();
                                        $.ajax({
                                            url: "/ubah_password",
                                            data: dataLogin,

                                            contentType: "application/x-www-form-urlencoded"
                                                    //tambah
                                            , headers: {
                                                'Content-Type': 'application/x-www-form-urlencoded'
                                            }
                                            //tambah
                                            , beforeSend: function (xhr) {

                                                xhr.setRequestHeader(header, token);
                                            },
                                            success: function (data) {
                                                console.log(data);
                                                // Cek hasil
                                                if (!data.status) {
                                                    buatAlertBox(" Ada Kesalahan.", "gagal");
                                                    emptyInput();

                                                } else {
                                                    buatAlertBox(" Password telah diganti", "sukses");
                                                    emptyInput();
                                                }
                                            },
                                            type: "POST"

                                        });
                                    } else {
                                        // Alert
                                        buatAlertBox(" Harap isi semua kolom", "kosong");
                                        return false;


                                    }
                                }

                                function validasiForm(e) {
                                    if ($('#passwordLama').val().length === 0 && $('#passwordBaru').val().length === 0 && $('#passwordBaruCek').val().length === 0) {
                                        buatAlertBox(" Harap isi semua kolom", "kosong");
                                        e.preventDefault();
                                        return false;
                                    }

                                }

                                function buatAlertBox(teks, tipe) {
                                    $('#myAlert').hide();
                                    $('#myAlert').removeClass();
                                    //$('#form-ganti-password').append('#myAlert');
                                    //$('#myAlert').add();
                                    if (tipe === 'sukses') {
                                        $('#myAlert').addClass('alert alert-success alert-dismissible fade show');
                                        $('#myAlert strong').text("Berhasil!");
                                    }
                                    if (tipe === 'gagal') {
                                        $('#myAlert').addClass('alert alert-danger alert-dismissible fade show');
                                        $('#myAlert strong').text("Error!");
                                    }
                                    if (tipe === 'kosong') {
                                        $('#myAlert').addClass('alert alert-warning alert-dismissible fade show');
                                        $('#myAlert strong').text("Peringatan!");
                                    }
                                    $('#myAlert').append('<button type="button" name="tutup" class="close" onclick="tutupAlert();">&times;</button>');
                                    $('#myAlert span').text(teks);
                                    $('#myAlert').show();
                                }

                                function emptyInput() {
                                    $('#passwordLama').val('');
                                    $('#passwordBaru').val('');
                                    $('#passwordBaruCek').val('');
                                }

                                function tutupAlert() {
                                    //onsubmit="event.preventDefault();"
                                    $('#myAlert').hide();
                                    $('#myAlert2').hide();
                                }
                            </script>
                            <div class="ibox-content">
                                <div id="myAlert" style="display: none">
                                    <strong></strong><span></span>
                                </div>
                                <div id="myAlert2" th:if="${param.berhasil}">
                                    <div class="alert alert-success">
                                        <strong>Berhasil</strong> Password telah diganti.
                                        <button type="button" name="tutup" class="close" onclick="tutupAlert();">&times;</button>
                                    </div>
                                </div>

                                <div id="myAlert2" th:if="${param.error}">
                                    <div class="alert alert-danger">
                                        <strong>Error!</strong> Ada kesalahan
                                        <button type="button" name="tutup" class="close" onclick="tutupAlert();">&times;</button>
                                    </div>
                                </div>


                                <form id="form-ganti-password" th:action="@{/ubah_password}" method="post" th:attr="data-mu=@{/ubah_password}">
                                    <input
                                        type="hidden"
                                        th:name="${_csrf.parameterName}"
                                        th:value="${_csrf.token}" />
                                    <div>
                                        <label class="col-form-label">Password Lama<span style="color: #ff3333">*</span></label>
                                    </div>
                                    <div>
                                        <input class="col-sm-6 col-form-label" type="password" id="passwordLama" name="passwordLama" placeholder="Masukkan Password Lama" />
                                    </div>
                                    <div>
                                        <label class="col-form-label">Password Baru<span style="color: #ff3333">*</span></label>
                                    </div>
                                    <div>
                                        <input class="col-sm-6 col-form-label" type="password" id="passwordBaru" name="passwordBaru" placeholder="Masukkan Password Baru" />
                                    </div>
                                    <div>
                                        <label class="col-form-label">Konfirmasi Password Baru<span style="color: #ff3333">*</span></label>
                                    </div>
                                    <div>
                                        <input class="col-sm-6 col-form-label" type="password" id="passwordBaruCek" name="passwordBaruCek" placeholder="Ulangi Password Baru" />
                                    </div>
                                    <br/>
                                    <div>
                                        <input class="btn btn-primary" type="submit" onclick="saveGantiPassword(event);" name="simpan" value="Ganti Password"/>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>

    </body>

</html>
